slepc-3.21.1 2024-04-26
Report Typos and Errors

# BVGetSizes

Returns the local and global sizes, and the number of columns.

### Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVGetSizes(BV bv,PetscInt *n,PetscInt *N,PetscInt *m)

Not Collective

### Input Parameter

| bv | - the basis vectors

### Output Parameters

| n | - the local size
| N | - the global size
| m | - the number of columns

### Note

Normal usage requires that bv has already been given its sizes, otherwise the call fails. However, this function can also be used to determine if a BV object has been initialized completely (sizes and type). For this, call with n=NULL and N=NULL, then a return value of m=0 indicates that the BV object is not ready for use yet.

### See Also

BVSetSizes(), BVSetSizesFromVec()

### Level

beginner

### Location

src/sys/classes/bv/interface/bvbasic.c
Index of all BV routines
Table of Contents for all manual pages
Index of all manual pages